/******************************************************************************
** Compagny     : 4JS
** Program      : pagerc.c
** Date         : 16/01/1996
** Version      : 1.00
**
** Titel        : Reading from standard input
******************************************************************************/

/******************************************************************************
**			     INCLUSIONS + MACROS
******************************************************************************/

#include<stdio.h>
#include<f2c/r_c.h>
#ifndef NULL
#define NULL 0
#endif

/******************************************************************************
**		              GLOBALS VARIABLES
******************************************************************************/

static FILE *fin=NULL;

/******************************************************************************
**		  	     	FUNCTIONS
******************************************************************************/

/*******************************************************************************
** FUNCTION Cstdin_open : Open Stdin
** Parameters :
**  none
** Returnings :
**  ret : 1 ok
**        0 problem
*******************************************************************************/

static Cstdin_open()

{

 fin = (FILE *)fdopen(0,"r");

 return( (fin != NULL));

} /* END FUNCTION Cstdin_open */

/*******************************************************************************
** FUNCTION Cstdin_nextline : Give a next line of standard input
** Parameters :
**  curr_line : Current line
** Returnings :
**  contread  : TRUE if something was read
*******************************************************************************/

static int Cstdin_nextline(curr_line)

char *curr_line;

{

 return ( (fgets(curr_line,513,fin))!=NULL );

} /* END FUNCTION Cstdin_nextline */

/*******************************************************************************
** FUNCTION stdin_open : Open the standard input
** Parameters :
**  nargs : Number of parameters.
**          In 4GL: none
** Returnings :
**  nbret : Number of returning: 0
*******************************************************************************/

int stdin_open(nargs)

int nargs;

{
 long curr_page;
 long ind;

 if (nargs != 0 ) {
   fprintf(stderr,"Bad number of parameters in function stdin_open\n");
   exit(1);
 }
 retint(Cstdin_open());
 return(1);

} /* END FUNCTION stdin_open */

/*******************************************************************************
** FUNCTION stdin_nextline : Read next line from the standard input
** Parameters :
**  nargs : Number of parameters.
**          In 4GL: none
** Returnings :
**  nbret : Number of returning: 2
**             contread : TRUE if continue to read
**             curr_line: Current line
*******************************************************************************/

int stdin_nextline(nargs)

int nargs;

{
 int contread;
 char curr_line[513];


 if (nargs != 0 ) {
   fprintf(stderr,"Bad number of parameters in function stdin_nextline\n");
   exit(1);
 }

 contread = Cstdin_nextline(curr_line);
 curr_line[strlen(curr_line)-1]=0;
 retint(contread);
 retquote(curr_line);
 return(2);

} /* END FUNCTION stdin_nextline */

CFACE(stdin_open,0,1)
CFACE(stdin_nextline,0,2)
